Package org.opentcs.customizations.controlcenter

# Class ControlCenterInjectionModule

java.lang.Object
com.google.inject.AbstractModule
org.opentcs.customizations.ConfigurableInjectionModule
org.opentcs.customizations.controlcenter.ControlCenterInjectionModule

All Implemented Interfaces:
  `com.google.inject.Module`

    public abstract class ControlCenterInjectionModule
    extends ConfigurableInjectionModule

A base class for Guice modules adding or customizing bindings for the kernel control center application.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ControlCenterInjectionModule()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected com.google.inject.multibindings.Multibinder<org.opentcs.drivers.vehicle.management.VehicleCommAdapterPanelFactory>` | `commAdapterPanelFactoryBinder()` | Returns a multibinder that can be used to register `VehicleCommAdapterPanelFactory` implementations.
  `protected com.google.inject.multibindings.Multibinder<org.opentcs.components.kernelcontrolcenter.ControlCenterPanel>` | `controlCenterPanelBinderModelling()` | Returns a multibinder that can be used to register `ControlCenterPanel` implementations for the kernel's modelling mode.
  `protected com.google.inject.multibindings.Multibinder<org.opentcs.components.kernelcontrolcenter.ControlCenterPanel>` | `controlCenterPanelBinderOperating()` | Returns a multibinder that can be used to register `ControlCenterPanel` implementations for the kernel's operating mode.
  `protected com.google.inject.multibindings.Multibinder<org.opentcs.drivers.peripherals.management.PeripheralCommAdapterPanelFactory>` | `peripheralCommAdapterPanelFactoryBinder()` | Returns a multibinder that can be used to register `PeripheralCommAdapterPanelFactory` implementations.

  ### Methods inherited from class org.opentcs.customizations.ConfigurableInjectionModule

  `getConfigBindingProvider, setConfigBindingProvider`

  ### Methods inherited from class com.google.inject.AbstractModule

  `addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindListener, bindScope, configure, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestStaticInjection, requireBinding, requireBinding`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ControlCenterInjectionModule

    public ControlCenterInjectionModule()

- ## Method Details

  - ### controlCenterPanelBinderModelling

    protected com.google.inject.multibindings.Multibinder<org.opentcs.components.kernelcontrolcenter.ControlCenterPanel> controlCenterPanelBinderModelling()
    Returns a multibinder that can be used to register `ControlCenterPanel` implementations for the kernel's modelling mode.
    Returns:
      The multibinder.

  - ### controlCenterPanelBinderOperating

    protected com.google.inject.multibindings.Multibinder<org.opentcs.components.kernelcontrolcenter.ControlCenterPanel> controlCenterPanelBinderOperating()
    Returns a multibinder that can be used to register `ControlCenterPanel` implementations for the kernel's operating mode.
    Returns:
      The multibinder.

  - ### commAdapterPanelFactoryBinder

    protected com.google.inject.multibindings.Multibinder<org.opentcs.drivers.vehicle.management.VehicleCommAdapterPanelFactory> commAdapterPanelFactoryBinder()
    Returns a multibinder that can be used to register `VehicleCommAdapterPanelFactory` implementations.
    Returns:
      The multibinder.

  - ### peripheralCommAdapterPanelFactoryBinder

    protected com.google.inject.multibindings.Multibinder<org.opentcs.drivers.peripherals.management.PeripheralCommAdapterPanelFactory> peripheralCommAdapterPanelFactoryBinder()
    Returns a multibinder that can be used to register `PeripheralCommAdapterPanelFactory` implementations.
    Returns:
      The multibinder.